<?php

namespace App\Policies;

use App\Models\PensionCase\PensionCase;
use App\Models\User\User;

class PensionCasePolicy {
    public function view(User $user): bool {
        return $user->can('pension-cases.view');
    }

    public function create(User $user): bool {
        return $user->can('pension-cases.create');
    }

    public function edit(User $user, PensionCase $case): bool {
        return $user->can('pension-cases.edit');
    }

    public function delete(User $user, PensionCase $case): bool {
        return $user->can('pension-cases.delete');
    }

    public function addComment(User $user, PensionCase $case): bool {
        return $user->can('pension-cases.comment');
    }

    public function manageInterims(User $user, PensionCase $case): bool {
        return $user->can('pension-cases.interims');
    }
}
